language-c-0.10.1: Analysis and generation of C code

Copyright | (c) 2008 Benedikt Huber
License | BSD-style
Maintainer | benedikt.huber@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Language.C.System.GCC

Description

Invoking gcc for preprocessing and compiling.

Synopsis

- data GCC
- newGCC :: FilePath -> GCC

# Documentation

data GCC Source #

`GCC` represents a reference to the gcc compiler

#### Instances

Instances details

Preprocessor GCC Source # |
Instance details Defined in Language.C.System.GCC Methods parseCPPArgs :: GCC -> [String] -> Either String (CppArgs, [String]) Source # runCPP :: GCC -> CppArgs -> IO ExitCode Source #

newGCC :: FilePath -> GCC Source #

create a reference to `gcc`